2 Replies Latest reply on Jan 11, 2007 8:22 AM by Amir Shay

    Extending with the same Table in 1.1.0GA

    Amir Shay Newbie



      Hello

      I have a running project that when I replace the files : jboss-seam.jar,jboss-seam-ui.jar of version 1.0.1GA with the one that come with version 1.1.0GA I get the error
      "Illegal use of @Table in a subclass of a SINGLE_TABLE hierarchy: <name of class B>"

      In my project Class B extends another class A and they both share the same mySQL table. I am doing it using the @Table annotation

      As a result the project fails to deploy because
      "Two components with the same name and precedence"

      Again with seam 1.0.1 everything is working....